#ifndef XINVADERS3D_GAMETEXT
#define XINVADERS3D_GAMETEXT

/* XInvaders3d game Text */


/* use a null terminator, so code doesn't have to
	be changed in many places. Don't use \n; assume
	a line break suitable to the particular platform
	should be generated after each line. TBB */
char *game_about_info[] =
{
   "Gracias por jugar con XInvaders 3D.",
   "XInvaders 3D v1.3.6, Copyright 2000 Don Llopis",
   "XInvaders 3D viene sin NINGUNA GARANTIA.",
   "Este es software libre, y es permitido que",
   "sea redistribuido bajo ciertas circunstancias. Vea",
   "el archivo llamado COPYING para información adicional.",
   "La última versión del juego se puede encontrar en:",
   "http://xinvaders3d.sourceforge.net",
   "Al autor se le puede encontrar en: del23@users.sourceforge.net",
   "Traducido al español por JLLA",
   NULL
};

char *game_rules_info[] =
{
   "Teclas:",
   "BARRA ESPACIADORA: Diapara Misil",
   "Flecha izquierda: mueve a la izquierda",
   "Flecha derecha: mueve a la derecha",
   "Flecha Superior: mueve hacia arriba",
   "Flecha Inferior: mueve hacia abajo",
   "f: Muestra velocidad de cuadro",
   "p: Pausa el juego",
   "q: Reinicia el juego",
   "ESC: Sale del programa",
   NULL
};


/* 
 * Not so nice vector-fonts:
 * perhaps one day, when the universe is kinder to me,
 * I'll implement a nice vector-font system. But
 * until the universe lets me go on my trip,
 * the stuff below stays!
 */
static int BA[5] = 
{ 
   1,
   0, 24, 0, 24,
};

static int DIA[5] = 
{ 
   1,
   0, 24, 24, 0,
};

static int DE[29] = 
{ 
   7,
   0, 0, 19, 0,
   19, 0, 24, 5,
   0, 0, 0, 24,
   0, 12, 24, 12,
   0, 24, 19, 24,
   19, 24, 24, 19,
   24, 5, 24, 19
};

static int A[25] = 
{ 
   6,
   5, 0, 19, 0,
   0, 12, 24, 12,
   0, 5, 0, 24,
   24, 5, 24, 24,
   5, 0, 0, 5,
   19, 0, 24, 5
};

static int B[33] = 
{ 
   8,
   0, 0, 19, 0,
   19, 0, 24, 5,
   0, 0, 0, 24,
   0, 12, 19, 12,
   0, 24, 19, 24,
   19, 24, 24, 19,
   24, 5, 19, 12,
   24, 19, 19, 12
};

static int C[21] =
{
   5,
   5, 0, 24, 0,
   0, 5, 0, 19,
   5, 24, 24, 24,
   0, 5, 5, 0,
   0, 19, 5, 24
};

static int D[29] = 
{ 
   7,
   0, 0, 19, 0,
   19, 0, 24, 5,
   0, 0, 0, 24,
   0, 24, 19, 24,
   19, 24, 24, 19,
   24, 5, 24, 19
};

static int E[17] =
{
   4,
   0, 0, 24, 0,
   0, 12, 24, 12,
   0, 24, 24, 24,
   0, 0, 0, 24
};

static int EXCLAMATION[33] =
{
   8,
   0, 0, 24, 0,
   5, 19, 15, 19,
   0, 0, 5, 19,
   24, 0, 15, 19,
   5, 25, 15, 25,
   5, 30, 15, 30,
   5, 25, 5, 30,
   15, 25, 15, 30
};

static int F[13] =
{
   3,
   0, 0, 0, 24,
   0, 0, 24, 0,
   0, 12, 24, 12
};

static int G[17] =
{
   4, 
   24, 0, 0, 12,
   0, 12, 24, 24,
   24, 24, 24, 12,
   24, 12, 12, 12
};

static int H[13] =
{
   3,
   0, 0, 0, 24,
   0, 12, 24, 12,
   24, 0, 24, 24
};

static int I[13] =
{
   3,
   0, 0, 24, 0,
   0, 24, 24, 24,
   12, 0, 12, 24
};

static int J[9] =
{
   2,
   24, 0, 24, 24,
   0, 24, 24, 24,
};

static int L[9] =
{
   2,
   0, 0, 0, 24,
   0, 24, 24, 24,
};

static int M[17] =
{
   4,
   0, 0, 0, 24,
   0, 0, 12, 12,
   12, 12, 24, 0,
   24, 0, 24, 24
};

static int N[13] =
{
   3,
   0, 0, 0, 24,
   0, 0, 24, 24,
   24, 0, 24, 24
};

static int O[33] =
{
   8,
   5, 0, 19, 0,
   0, 5, 0, 19,
   5, 24, 19, 24,
   24, 5, 24, 19,
   5, 0, 0, 5,
   19, 0, 24, 5,
   0, 19, 5, 24,
   24, 19, 19, 24
};


static int P[21] =
{
   5,
   0, 0, 0, 24,
   0, 0, 19, 0,
   0, 12, 19, 12,
   19, 0, 24, 5,
   24, 5, 19, 12
};

static int R[25] =
{
   6,
   0, 0, 0, 24,
   0, 0, 19, 0,
   0, 12, 19, 12,
   19, 0, 24, 5,
   24, 5, 19, 12,
   7, 12, 24, 24
};

static int S[29] =
{
   7,
   5, 0, 24, 0,
   5, 12, 19, 12,
   0, 24, 19, 24,
   5, 0, 0, 5,
   0, 5, 5, 12,
   19, 12, 24, 19,
   24, 19, 19, 24
};

static int T[9] =
{
   2,
   0, 0, 24, 0,
   12, 0, 12, 24
};

static int U[21] =
{
   5,
   0, 0, 0, 19,
   5, 24, 19, 24,
   24, 0, 24, 19,
   0, 19, 5, 24,
   24, 19, 19, 24
};

static int V[9] =
{
   2,
   0, 0, 12, 24,
   24, 0, 12, 24
};

static int X[9] =
{
   2,
   0, 0, 24, 24,
   24, 0, 0,24 
};

static int Y[13] =
{
   3,
   0, 0, 12, 12,
   12, 12, 24, 0,
   12, 12, 12, 24
};

static int ZERO[21] =
{
   5,
   0, 0, 24, 24,
   0, 0, 24, 0,
   0, 24, 24, 24,
   0, 0, 0, 24,
   24, 0, 24, 24
};

static int ONE[5] =
{
   1,
   12, 0, 12, 24
};

static int TWO[21] =
{
   5,
   0, 0, 24, 0,
   24, 0, 24, 12,
   24, 12, 0, 12,
   0, 12, 0, 24,
   0, 24, 24, 24
};

static int THREE[17] =
{
   4,
   0, 0, 24, 0, 
   24, 12, 12, 12,
   0, 24, 24, 24,
   24, 0, 24, 24
};
static int FOUR[13] =
{
   3,
   0, 0, 0, 12,
   0, 12, 24, 12,
   24, 0, 24, 24
};

static int FIVE[21] =
{
   5,
   0, 0, 24, 0,
   0, 0, 0, 12,
   0, 12, 24, 12,
   24, 12, 24, 24,
   24, 24, 0, 24
};

static int SIX[17] =
{
   4,
   0, 0, 0, 24,
   0, 24, 24, 24,
   24, 24, 24, 12,
   24, 12, 0, 12 
};

static int SEVEN[9] = 
{
   2, 
   0, 0, 24, 0, 
   24, 0, 0, 24
};
static int EIGHT[21] =
{
   5,
   0, 0, 24, 0,
   0, 12, 24, 12,
   0, 24, 24, 24,
   0, 0, 0, 24,
   24, 0, 24, 24
};

static int NINE[17] =
{
   4,
   0, 0, 24, 0,
   0, 12, 24, 12,
   0, 0, 0, 12,
   24, 0, 24, 24
};

static int *NUMBER[10] =
{
   &ZERO[0],
   &ONE[0],
   &TWO[0],
   &THREE[0],
   &FOUR[0],
   &FIVE[0],
   &SIX[0],
   &SEVEN[0],
   &EIGHT[0],
   &NINE[0]
};

static int *XINVADERS3D_LOGO[] = 
{ 
   &X[0], &I[0], &N[0], &V[0], &A[0], &D[0], &E[0], &R[0], &S[0], &BA[0], 
   &THREE[0], &D[0], NULL
};

static int *GET[] =
{
   &E[0], &S[0], &T[0],&E[0], NULL
};

static int *READY[] =
{
   &BA[0], &L[0], &I[0], &S[0], &T[0], &O[0], &EXCLAMATION[0],
   &EXCLAMATION[0], NULL
};

static int *GAME[] =
{
   &F[0], &I[0], &N[0], &BA[0], &DE[0], NULL
};
static int *OVER[] =
{
   &BA[0], &J[0], &U[0], &E[0], &G[0], &O[0], NULL
};

static int *PAUSED[] =
{
   &P[0], &A[0], &U[0], &S[0], &A[0], NULL
};

static int *SCORE[] =
{
   &P[0], &U[0], &N[0], &T[0], &O[0], &S[0], NULL
};

static int *HI_SCORE[] =
{
   &M[0], &A[0], &X[0], &BA[0], &P[0], &U[0], &N[0], NULL
};

static int *PRESS[] =
{
   &P[0], &U[0], &L[0], &S[0], &E[0], NULL
};

static int *FIRE[] =
{
   &B[0], &A[0], &R[0], &R[0], &A[0], NULL
};

static int *TO[] =
{
   &BA[0], &P[0], &DIA[0],NULL
};

static int *START[] =
{
   &I[0], &N[0], &I[0], &C[0], &I[0], &O[0], NULL
};

#endif
